For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create alias

Create an alias for the given mailbox. The alias address is formed from the given local part and the domain of the mailbox. Messages sent to the alias are delivered to the mailbox.

Create alias

post

Create an alias for the given mailbox. The alias address is formed from the given local part and the domain of the mailbox. Messages sent to the alias are delivered to the mailbox.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
mailboxIdstringRequired

Mailbox resource ID

Example: AC1a2b3c4d5e6f7g
Body
local_partstring · max: 50Required

Local part of the alias address (the part before the @). The domain is taken from the mailbox. Case-insensitive and stored lowercase; must start and end with a letter or digit; single dots, underscores and hyphens are allowed in between.

Example: info
Responses
201

Created response

application/json
idstringOptional

Unique alias identifier

Example: AA1a2b3c4d5e6f7g
addressstringOptional

Email address of the alias

Example: info@example.com
is_activebooleanOptional

Whether the alias is active and not suspended

Example: true
created_atstring · date-time · nullableOptionalExample: 2026-07-27T12:00:00Z
updated_atstring · date-timeOptionalExample: 2026-07-27T12:00:00Z
post/api/mail/v1/mailboxes/{mailboxId}/aliases
POST /api/mail/v1/mailboxes/{mailboxId}/aliases HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "local_part": "info"
}
{
  "id": "AA1a2b3c4d5e6f7g",
  "address": "info@example.com",
  "mailbox": {
    "id": "AC1a2b3c4d5e6f7g",
    "address": "john@example.com"
  },
  "is_active": true,
  "created_at": "2026-07-27T12:00:00Z",
  "updated_at": "2026-07-27T12:00:00Z"
}

Last updated

Was this helpful?